﻿/* RADZEN STYLE OVERRIDES */
.rz-link {
    color: white !important;
}

.rz-series-data-label {
    fill: white !important;
}

.rz-link-text {
    margin-left: 10px !important;
}

.rz-breadcrumb-item + .rz-breadcrumb-item::before {
    content: '>' !important;
    color: white !important;
}

.rz-button.rz-primary.rz-shade-default {
    background-color: darkgreen !important;
}

    .rz-button.rz-primary.rz-shade-default:hover {
        background-color: limegreen !important;
    }

.rz-button.rz-secondary.rz-shade-default {
    background-color: lightgreen !important;
}

    .rz-button.rz-secondary.rz-shade-default:hover {
        background-color: limegreen !important;
    }

.rz-button-icon-left {
    color: black !important;
}

.rz-menu:not(.rz-profile-menu) {
    background-color: darkgreen !important;
}

.rz-button {
    text-transform: none !important;
}

.rz-form-field.rz-state-focused .rz-form-field-content,
.rz-numeric:focus-within:not(.rz-state-disabled),
.rz-autocomplete:focus-within:not(.rz-state-disabled),
.rz-timespanpicker > .rz-inputtext:not(:disabled):not(.rz-state-disabled):focus,
.rz-colorpicker:not(:disabled):not(.rz-state-disabled):focus,
.rz-lookup-search input:not(:disabled):not(.rz-state-disabled):focus,
.rz-numeric:not(:disabled):not(.rz-state-disabled):focus,
.rz-datepicker > .rz-inputtext:not(:disabled):not(.rz-state-disabled):focus,
.rz-multiselect:not(:disabled):not(.rz-state-disabled):focus,
.rz-dropdown:not(:disabled):not(.rz-state-disabled):focus,
.mask:not(:disabled):not(.rz-state-disabled):focus,
.rz-textarea:not(:disabled):not(.rz-state-disabled):focus,
.rz-textbox:not(:disabled):not(.rz-state-disabled):focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem lightgreen !important;
}

.rz-switch.rz-switch-checked .rz-switch-circle:before {
    background-color: red !important;
}

.rz-value-axis .rz-tick-text {
    font-size: 14px;
}

.rz-tabview-nav li a, .rz-tabview-nav li a:not([href]):not([class]) {
    text-transform: none !important;
}

.rz-grid-table > thead > tr > th {
    background-color: lightgreen !important;
}

.rz-tabview-title {
    text-transform: none !important;
    color: darkgreen !important;
}

.rz-tabview-selected, .rz-state-focused {
    border-bottom: 2px solid darkgreen !important;
}